Bug 62407 - cups shipped without smb access support
cups shipped without smb access support
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: wdovlrrw
Depends On:
Blocks: 61901
  Show dependency treegraph
Reported: 2002-03-31 02:13 EST by Chris Ricker
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-01 16:07:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-03-31 02:13:45 EST
CUPS supports printing to printers accessed via SMB.  It wasn't packaged to
support this, however.

The CUPS package needs to be modified to:

depend upon samba-clients
ln -s /usr/bin/smbspool /usr/lib/cups/backend/smb

Doing so will add a "Windows printer via SAMBA" option to the print
configuration menu, and then allow specifying an SMB URI location for the printer
Comment 1 Bernhard Rosenkraenzer 2002-04-03 07:22:55 EST
I strongly disagree about adding a requirement on samba-clients, there are many people 
who use cups and wouldn't touch windoze crap with a 20ft pole. 
I've solved the problem differently: 
cups 1.1.14-12 has triggers on samba-clients, so when samba-clients is installed, a 
symlink is set, and when samba-clients is removed, the symlink is removed.

Note You need to log in before you can comment on or make changes to this bug.